Create a sub-account API key

Creates a sandbox or production API key for a sub-account. Treat the returned key value as a secret. For rotation, create a replacement, cut traffic over, then revoke the old key.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sub_account_idstringRequired

Sub-account ID

Request

This endpoint expects an object.
namestringRequired
environmentenumRequired
Allowed values:

Response

sub-account API key created

objectenum
idstringformat: "uuid"
namestring
valuestring
live_modeboolean
created_atdatetime
updated_atdatetime
api_versionenum

Errors

400
Create Sub Account API Key Request Bad Request Error
403
Create Sub Account API Key Request Forbidden Error
404
Create Sub Account API Key Request Not Found Error